{
	"format_version" : "1.10.0",
	"animation_controllers" : {
		"controller.animation.buttons" : {
			"initial_state" : "default",
			"states" : {
				"default" : {
					"transitions" : [
						{
							"sponge" : "query.get_equipped_item_name('main_hand') == 'morph_sponge' && q.is_using_item"
						},
						{
							"bookshelf" : "query.get_equipped_item_name('main_hand') == 'morph_bookshelf' && q.is_using_item"
						},
						{
							"blast_furnace" : "query.get_equipped_item_name('main_hand') == 'morph_blast_furnace' && q.is_using_item"
						},
						{
							"crafting_table" : "query.get_equipped_item_name('main_hand') == 'morph_crafting_table' && q.is_using_item"
						},
						{
							"barrel" : "query.get_equipped_item_name('main_hand') == 'morph_barrel' && q.is_using_item"
						},
						{
							"chest" : "query.get_equipped_item_name('main_hand') == 'morph_chest' && q.is_using_item"
						},
						{
							"hay" : "query.get_equipped_item_name('main_hand') == 'morph_hay' && q.is_using_item"
						},
						{
							"oak" : "query.get_equipped_item_name('main_hand') == 'morph_oak' && q.is_using_item"
						},
						{
							"pumpkin" : "query.get_equipped_item_name('main_hand') == 'morph_pumpkin' && q.is_using_item"
						}
					]
				},
				"sponge" : {
					"on_entry": ["/function button/sponge"],
					"transitions" : [
							{
								"default": "query.is_alive"
							}
					]
				},
				"bookshelf" : {
					"on_entry": ["/function button/bookshelf"],
					"transitions" : [
							{
								"default": "query.is_alive"
							}
					]
				},
				"blast_furnace" : {
					"on_entry": ["/function button/blast_furnace"],
					"transitions" : [
							{
								"default": "query.is_alive"
							}
					]
				},
				"crafting_table" : {
					"on_entry": ["/function button/crafting_table"],
					"transitions" : [
							{
								"default": "query.is_alive"
							}
					]
				},
				"barrel" : {
					"on_entry": ["/function button/barrel"],
					"transitions" : [
							{
								"default": "query.is_alive"
							}
					]
				},
				"chest" : {
					"on_entry": ["/function button/chest"],
					"transitions" : [
							{
								"default": "query.is_alive"
							}
					]
				},
				"hay" : {
					"on_entry": ["/function button/hay"],
					"transitions" : [
							{
								"default": "query.is_alive"
							}
					]
				},
				"oak" : {
					"on_entry": ["/function button/oak"],
					"transitions" : [
							{
								"default": "query.is_alive"
							}
					]
				},
				"pumpkin" : {
					"on_entry": ["/function button/pumpkin"],
					"transitions" : [
							{
								"default": "query.is_alive"
							}
					]
				}
			}
		}
	}
}
